# -*- coding: utf-8; -*-
"""
rattail-nationbuilder setup script
"""

import os
from setuptools import setup, find_packages


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, 'rattail_nationbuilder', '_version.py')).read())
README = open(os.path.join(here, 'README.md')).read()


setup(
    name = "rattail-nationbuilder",
    version = __version__,
    author = "Your Name",
    author_email = "you@example.com",
    # url = "https://example.com/",
    description = "Rattail integration package for NationBuilder",
    long_description = README,

    classifiers = [

        # TODO: remove this if you intend to publish your project
        # (it's here by default, to prevent accidental publishing)
        'Private :: Do Not Upload',

        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Topic :: Office/Business',
    ],

    install_requires = [
        'rattail',

        # TODO: these may be needed to build/release package
        #'build',
        #'invoke',
        #'twine',
    ],
    packages = find_packages(),
    include_package_data = True,

    entry_points = {
    },
)
